Version 2.1.1792967583 · latest Download OpenAPI Markdown

File validation

Admin only. Provides content for the CA file validation, answered by nodes via the controller; no longer served after expiry.

pki-validationsCertificatesAuthentication: Admin only3 endpoints

List validation file contents

GET/api/v2/pki-validations
Authentication: Admin only

Query parameters

FieldTypeRequiredDescription
pageinteger— Page number, starting from 1
Default 1
page_sizeinteger— Items per page
Default 20
sortstring— Sort fields, comma-separated; prefix `-` for descending, e.g. `-created_at,id`

Create validation file content

POST/api/v2/pki-validations
Authentication: Admin only

Request body application/json

FieldTypeRequiredDescription
contentstringRequired Validation file content.
namestringRequired Name
ttl_sinteger— Seconds after which the file is no longer served; 0 or omitted = never expires.

Delete validation file content

DELETE/api/v2/pki-validations/{id}
Authentication: Admin only

File validation object

FieldTypeRequiredDescription
contentstring— Validation file content.
created_atstring— Created at
read-only
expires_atstring— Expires at
idinteger— Record ID
read-only
namestring— Name
ttl_sinteger— Seconds after which the file is no longer served; 0 or omitted = never expires.
updated_atstring— Updated at
read-only